Harekete manuel referans veya etiket ata
curl --request POST \
--url https://api.tahsil.dev/banks/transactions/{id}/assignments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-company-id: <x-company-id>' \
--data '
{
"reference": {
"source": "<string>",
"entityType": "<string>",
"externalId": "<string>",
"label": "<string>"
}
}
'const options = {
method: 'POST',
headers: {
'x-company-id': '<x-company-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
reference: {
source: '<string>',
entityType: '<string>',
externalId: '<string>',
label: '<string>'
}
})
};
fetch('https://api.tahsil.dev/banks/transactions/{id}/assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tahsil.dev/banks/transactions/{id}/assignments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'reference' => [
'source' => '<string>',
'entityType' => '<string>',
'externalId' => '<string>',
'label' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-company-id: <x-company-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": true,
"result": {
"id": "<string>",
"companies": "<string>",
"transactionId": "<string>",
"originId": "<string>",
"reference": {
"source": "<string>",
"entityType": "<string>",
"externalId": "<string>",
"label": "<string>"
},
"tags": [
"<string>"
],
"ruleId": "<string>",
"ruleVersion": 123,
"referenceKey": "<string>",
"matchedAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z",
"revokedReason": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"ruleSnapshotHash": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>"
}
}{
"status": false,
"code": "TRANSACTION_AMOUNT_RANGE_INVALID",
"message": "minAmount, maxAmount değerinden büyük olamaz."
}Harekete manuel referans veya etiket ata
POST
/
banks
/
transactions
/
{id}
/
assignments
Harekete manuel referans veya etiket ata
Yetkilendirmeler
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Başlıklar
Yazma işleminin hedef firma kimliği.
Yol Parametreleri
Gövde
application/json
Bu sayfa yararlı mıydı?
⌘I